import React, { FC } from 'react';
import { FormInstance } from 'antd/es/form';
export interface FormInModalProps {
    formValue?: any;
    form?: FormInstance;
    url?: string;
    title?: string;
    visible?: boolean;
    children?: React.ReactNode;
    onSubmitSuccess?: (success: boolean, values?: any) => void;
    onSubmitError?: (success: boolean, error: Error) => void;
    onCancelSubmit?: (visible: boolean) => void;
    extraData?: any;
    width?: number;
    bodyStyle?: any;
    validateError?: () => boolean;
    formatValues?: (values: any) => void;
    [key: string]: any;
}
declare const FormInModal: FC<FormInModalProps>;
export default FormInModal;
