import { FC } from 'react';
import { TreeData } from './components';
import { ListType } from './components/base-tree-selection';
export interface TreeSelectionProps {
    value?: TreeData[];
    showClearButton?: boolean;
    placeholder?: string;
    readonly?: boolean;
    onChange?: (values: TreeData[]) => void;
    validateFunc?: (values: TreeData[]) => boolean;
    getEmployeeOrdepartmentTree: () => Promise<any>;
    getSearchEmployeeByNameAndPhoneAndEmial: (condition: string) => Promise<any>;
    needForm?: boolean;
    listType?: ListType;
    modalTitle?: string;
    title?: string;
    searchPlaceholder?: string;
    isMultiple?: boolean;
    env?: Env;
}
export type Env = 'dev' | 'qa' | 'prod';
declare const TreeSelection: FC<TreeSelectionProps>;
export default TreeSelection;
